Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.wtc.gwt
Class WTCServiceStatus

    java.lang.Object
      weblogic.wtc.gwt.WTCServiceStatus

    public final class WTCServiceStatus

extends Object

This is the WTC service status utility class which is used to determine the service status and service type.

Field Summary
`static int` | `AVAILABLE`
`static int` | `EXPORT`
`static int` | `IMPORT`
`static int` | `SUSPENDED`
`static int` | `UNAVAILABLE`
`static int` | `UNKNOWN`

Constructor Summary
`WTCServiceStatus()`

Method Summary
`static String` | `statusToString(int status)` Produces a string value of the service status
`static String` | `svcTypeToString(int svcType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNKNOWN

    public static final int UNKNOWN

See Also:
  Constant Field Values

### SUSPENDED

    public static final int SUSPENDED

See Also:
  Constant Field Values

### UNAVAILABLE

    public static final int UNAVAILABLE

See Also:
  Constant Field Values

### AVAILABLE

    public static final int AVAILABLE

See Also:
  Constant Field Values

### IMPORT

    public static final int IMPORT

See Also:
  Constant Field Values

### EXPORT

    public static final int EXPORT

See Also:
  Constant Field Values

Constructor Detail

### WTCServiceStatus

    public WTCServiceStatus()

Method Detail

### statusToString

    public static String statusToString(int status)

  Produces a string value of the service status

  Returns:
    A string version of this object

### svcTypeToString

    public static String svcTypeToString(int svcType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD